for /f %%i in ('git rev-parse --short HEAD') do set ssha=%%i
FOR /f %%i IN ( version.txt ) DO set version=%%i
git push
git tag -a %version%
git push --follow-tags
podman build ./ -t evdevcontainerregistry.azurecr.io/server:%version% --label "git-commit=%ssha%"

FOR /f %%i IN ('az acr login --name evdevcontainerregistry --expose-token --output tsv --query accessToken') do (SET token=%%i)
podman login evdevcontainerregistry.azurecr.io -u "00000000-0000-0000-0000-000000000000" -p %token%
podman push evdevcontainerregistry.azurecr.io/server:%version%